Kerbal Space Program - Bug #5425

Landed vehicles experience torsion forces or precession movement
09/20/2015 10:28 AM - Skeltek

Status: Needs Clarification Start date: 09/20/2015
Severity: Very Low % Done: 0%
Assignee:

Category: Physics

Target version:

Version: 1.04 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

KSP Steam Version on Vista 64 bit, but bug should occur on all systems (only got one to test on)
Clean install to Version 1.0.4
Log files irrelevant for reproduction

Having a vehicle landed planetside and switching to KSC or any other location saves the root module of the craft to persistent.sfs
Accelerating the gameflow also ignores the position of all other modules.

Turning off Time-Acceleration or switching back to the craft activates the physics again.

When physics kick in again, the collision detection immediately sets all submerged parts above ground level resulting in a sudden
buildup of forces to connecting parts (lander legs that are below ground, rocket engines and so on).

The collision detection and sudden repositioning of the parts can result in a massive shock to the vehicle, destroying the
ground-touching parts or destroying the connections to neighboring partnodes - effectively detaching the part from the main craft.
This results in the either the whole vehicle immediately combusting or the supporting part(for example lander leg) being detached
making the rocket flip over.

Also sometimes | noticed the rocket experiencing a sudden rotation around the surface radial axis, probably the first Euler angle
change gets added up in higher accelerations, resulting in a very sudden angle change when physics kick back in. (Coriolis effect
maybe?)

probable solutions:

1. Save and load positions of all parts to and from save file and keep part positions forcefully locked during acceleration. Since time
acceleration seems to turn off collision detection for attached parts, they change position to below ground; that should be prevented.
(best solution)

2. When craft loads or physics kick back in, reduce position-correction in order to slowly make supporting parts raise above ground
level. The shock on the supporting part and the stress on connected parts would be softened, but might result in a perfectly still craft
to suddenly loose stiction.

(makeshift solution)

3. Make the craft indestructible for the first few gameticks. This would prevent destruction of craft in most cases, but might result in
unexpected bugs or gameplay issues.

(worst solution)

History

#1 - 09/20/2015 11:00 AM - Skeltek

The Priority was set to high, because a wide variety of vehicle designs can be affected, making it quiet a risk to leave any such vehicle with a certain
amount of torsion/stress bending the frame left on ground.

Any landed craft can suddenly combust or experience sudden deconnection of parts, making it a russian roulette if landing a craft will ever make a
person able to relaunch or drive it again at a later oint in the game.

#2 - 09/22/2015 06:50 PM - Summoners_Rift

Was not able to recreate on Windows 8 64 bit.

#3 - 11/17/2015 01:27 PM - sal_vager

- Severity changed from High to Very Low
- Platform Win32 added

- Platform deleted (Win64)
Hi, please be mindful of the bug reporting guidelines and priority table when reporting issues, thank you.

http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

Also, KSP for 64bit Windows does not exist yet.

And logs are always relevant.

#4 - 07/17/2016 09:40 AM - TriggerAu

- Status changed from New to Needs Clarification

#5 - 10/25/2019 01:33 AM - KenSharp
Probably the same as #9412
